﻿@using System.Web.UI.WebControls;

<table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td>
            <table cellpadding="3" cellspacing="3" border="0">
                <tr>
                    <td>
                        Comp. Price 
                    </td>
                    <td>
                         @Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "grlCompPrice";
                                s.GridProperties.Name = "grlCompPriceGrid";
                                s.GridProperties.KeyFieldName = "COMP_PRICE_CD";
                                s.Width = 150;
                    
                                s.ReadOnly = true;
                                s.GridProperties.CallbackRouteValues = new { Controller = "D31007", Action = "grlCompPriceCallback" };
                                s.GridProperties.Width = Unit.Pixel(310);
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                                s.GridProperties.Height = 250;
                                s.GridProperties.Settings.VerticalScrollableHeight = 250;

                                s.GridProperties.SettingsPager.NumericButtonCount = 5;
                    
                    
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "COMP_PRICE_CD";
                                    c.FieldName = "COMP_PRICE_CD";
                                    c.Caption = "Code";
                                    c.Width = Unit.Pixel(70);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "COMP_PRICE_DESC";
                                    c.FieldName = "COMP_PRICE_DESC";
                                    c.Caption = "Name";

                                });
                            }
                                 ).Bind(ViewData["CompPriceLookup"]).GetHtml()
                    </td>
                    <td>&nbsp;</td>
                    <td>
                        Condition Rule
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "txtConditionRule";
                                settings.Width = 120;
                                settings.Properties.MaxLength = 1;
                                settings.Properties.Style.HorizontalAlign = HorizontalAlign.Center;
                                settings.Properties.ClientSideEvents.KeyUp = "function(s, e) { s.SetText(s.GetText().toUpperCase()); }";
                            }).GetHtml()
                    </td>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td>
                        Tax
                    </td>
                    <td>
                         @Html.Common().DevExpress().GridLookup(
                            s =>
                            {
                                s.Name = "grlTax";
                                s.GridProperties.Name = "grlTaxGrid";
                                s.GridProperties.KeyFieldName = "TAX_CD";
                                s.Width = 150;
                    
                                s.ReadOnly = true;
                                s.GridProperties.CallbackRouteValues = new { Controller = "D31007", Action = "grlTaxCallback" };
                                s.GridProperties.Width = Unit.Pixel(310);
                                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                                s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                                s.GridProperties.Height = 250;
                                s.GridProperties.Settings.VerticalScrollableHeight = 250;

                                s.GridProperties.SettingsPager.NumericButtonCount = 5;
                    
                    
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "TAX_CD";
                                    c.FieldName = "TAX_CD";
                                    c.Caption = "Code";
                                    c.Width = Unit.Pixel(70);
                                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                    c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                                });
                                s.GridProperties.Columns.Add(c =>
                                {
                                    c.Name = "TAX_NAME";
                                    c.FieldName = "TAX_NAME";
                                    c.Caption = "Name";

                                });
                            }
                                 ).Bind(ViewData["TaxLookup"]).GetHtml()
                    </td>
                    <td>&nbsp;</td>
                </tr>
            </table>
        </td>
        <td align="right">
            <table cellpadding="3" cellspacing="3" border="0">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            button =>
                                {
                                    button.Name = "btnSearch";
                                    button.Text = "Search";
                                    button.Width = Unit.Pixel(80);
                                    button.Style.Add("display", "inline-table");
                                    button.ClientSideEvents.Click = "btnSearch_click";
                                }
                            ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                            button =>
                                {
                                    button.Name = "btnClear";
                                    button.Text = "Clear";
                                    button.Width = Unit.Pixel(80);
                                    button.Style.Add("display", "inline-table");
                                    button.ClientSideEvents.Click = "btnClear_click";
                                }
                            ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>